<template>
  <v-container fluid>
    <v-row>
      <v-col cols="12" md="6" lg="4" v-for="item in items" :key="item.url">
        <blog-list-item :post="item" @read="$emit('read', item)" />
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Blog } from '@/static/blog/main';
import { Prop } from 'vue-property-decorator';
import BlogListItem from '@/components/blog/BlogListItem.vue';

@Component({
  components: {
    BlogListItem
  }
})
export default class BlogList extends Vue {
  @Prop({
    required: false,
    type: Array,
    default: () => []
  })
  private readonly items!: typeof Blog;
}
</script>

<style scoped></style>
